List platform fees
curl --request GET \
--url https://api.bachs.io/v1/platform_fees \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/platform_fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/platform_fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/platform_fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "pf_8c1e04a7b93f2d6540ab1234",
"charge": "ch_9f4c1d2e7b6a4f8e9c0d1a2b3c4d5e6f",
"collected_from": "acct_3Wq8ZfT1yHnJ5sVe",
"earned_by": "acct_7KpQ2mNv4XbR9dLc",
"amount": "20000.00",
"currency": "NGN",
"amount_refunded": "0.00",
"refunded": false,
"created_at": "2026-08-07T11:04:22.518Z"
}
],
"pagination": {
"next_cursor": null,
"prev_cursor": null,
"has_more": true,
"limit": 50,
"offset": 0,
"returned": 1,
"total": 42
}
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}Platform Fees
List platform fees
Returns platform fees your organization was a party to, newest first. Both the account a fee was collected from and the platform that earned it can list it.
GET
/
v1
/
platform_fees
List platform fees
curl --request GET \
--url https://api.bachs.io/v1/platform_fees \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/platform_fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/platform_fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/platform_fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "pf_8c1e04a7b93f2d6540ab1234",
"charge": "ch_9f4c1d2e7b6a4f8e9c0d1a2b3c4d5e6f",
"collected_from": "acct_3Wq8ZfT1yHnJ5sVe",
"earned_by": "acct_7KpQ2mNv4XbR9dLc",
"amount": "20000.00",
"currency": "NGN",
"amount_refunded": "0.00",
"refunded": false,
"created_at": "2026-08-07T11:04:22.518Z"
}
],
"pagination": {
"next_cursor": null,
"prev_cursor": null,
"has_more": true,
"limit": 50,
"offset": 0,
"returned": 1,
"total": 42
}
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}Authorizations
Bearer token authentication. Pass your API key as Authorization: Bearer sk_.... See Authentication for keys, scopes, and sandbox vs production.
Query Parameters
Number of platform fees to return per page.
Required range:
1 <= x <= 100Number of platform fees to skip before the page starts.
Required range:
x >= 0Filter to the platform fee struck against this charge.
Response
A page of platform fees. Each entry in items is a Platform fee.

